Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ServicesC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`
`#include "tao/VarOut_T.h"`
`#include "tao/OctetSeqC.h"`

Include dependency graph for ServicesC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
namespace | TAO
## Classes
class | CORBA::ServiceOptionSeq
struct | CORBA::ServiceDetail
class | CORBA::ServiceDetailSeq
struct | CORBA::ServiceInformation
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _CORBA_SERVICEOPTIONSEQ_CH_
#define | _CORBA_SERVICEDETAILSEQ_CH_
## Typedefs
typedef CORBA::UShort_out | ServiceType_out
typedef CORBA::ULong_out | ServiceOption_out
typedef CORBA::ULong_out | ServiceDetailType_out
typedef OctetSeq_var | ServiceDetailData_var
typedef OctetSeq_out | ServiceDetailData_out
typedef TAO_FixedSeq_Var_T< ServiceOptionSeq, ServiceOption > | ServiceOptionSeq_var
typedef TAO_Seq_Out_T< ServiceOptionSeq, ServiceOptionSeq_var, ServiceOption > | ServiceOptionSeq_out
typedef TAO_Var_Var_T< ServiceDetail > | ServiceDetail_var
typedef TAO_Out_T< ServiceDetail, ServiceDetail_var > | ServiceDetail_out
typedef TAO_VarSeq_Var_T< ServiceDetailSeq, ServiceDetail > | ServiceDetailSeq_var
typedef TAO_Seq_Out_T< ServiceDetailSeq, ServiceDetailSeq_var, ServiceDetail > | ServiceDetailSeq_out
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::ServiceOptionSeq &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::ServiceOptionSeq &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::ServiceDetail &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::ServiceDetail &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::ServiceDetailSeq &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::ServiceDetailSeq &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::ServiceInformation &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::ServiceInformation &)

## Define Documentation

#define _CORBA_SERVICEDETAILSEQ_CH_

#define _CORBA_SERVICEOPTIONSEQ_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef TAO_Out_T< ServiceDetail, ServiceDetail_var > CORBA::ServiceDetail_out

typedef TAO_Var_Var_T< ServiceDetail > CORBA::ServiceDetail_var

typedef OctetSeq_out CORBA::ServiceDetailData_out

typedef OctetSeq_var CORBA::ServiceDetailData_var

typedef TAO_Seq_Out_T< ServiceDetailSeq, ServiceDetailSeq_var, ServiceDetail > CORBA::ServiceDetailSeq_out

typedef TAO_VarSeq_Var_T< ServiceDetailSeq, ServiceDetail > CORBA::ServiceDetailSeq_var

typedef CORBA::ULong_out CORBA::ServiceDetailType_out

typedef CORBA::ULong_out CORBA::ServiceOption_out

typedef TAO_Seq_Out_T< ServiceOptionSeq, ServiceOptionSeq_var, ServiceOption > CORBA::ServiceOptionSeq_out

typedef TAO_FixedSeq_Var_T< ServiceOptionSeq, ServiceOption > CORBA::ServiceOptionSeq_var

typedef CORBA::UShort_out CORBA::ServiceType_out

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::ServiceInformation & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::ServiceDetailSeq & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::ServiceDetail & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::ServiceOptionSeq & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::ServiceInformation & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::ServiceDetailSeq & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::ServiceDetail & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::ServiceOptionSeq & |
| ) |